*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    font-family: 'Jost', sans-serif;
    list-style: none;
    text-decoration: none;
}
header{
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 10%;
    background: #967bb6;
}
.logo img{
    max-width: 120px;
    height: auto;
}
.navmenu{
    display: flex;
}

.navmenu a {
    color: black;
    font-size: 16px;
    text-transform: capitalize;
    padding: 10px 20px;
    font-weight: 400;
    transition: all 0.42s ease;
}

.navmenu a:hover{
    color: white;
}

.nav-icon{
    display: flex;
    align-items: center;
}

.nav-icon i{
    margin-right: 20px;
    color: black;
    font-size: 25px;
    font-weight: 400;
    transition: all 0.42s ease;
}

.nav-icon i:hover{
    color: white;
    transform: scale(1.1);
}


.hamburger-icon i:hover{
    color: white;
    transform: scale(1.1);
}

#hamburger-nav{
    display: none;
}
.hamburger-menu{
    position: relative;
    display: inline-block;
}

.hamburger-icon{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 24px;
    width: 25px;
    cursor: pointer;
}
.hamburger-icon span{
    width: 100%;
    height: 2px;
    background-color: black;
    transition: all 0.3 ease-in-out;
}


.menu-links{
    position: absolute;
    top: 100%;
    right: 0;
    background-color: #967bb6;
    width: fit-content;
    max-height: 0;
    overflow: hidden;
    transition: all 0.3 ease-in-out;
}
.menu-links a {
    display: block;
    padding: 10px;
    text-align: center;
    font-size: 1rem;
    color: black;
    text-decoration: none;
    transition: all 0.3 ease-in-out;
}

.menu-links li {
    list-style: none;
}

.menu-links a:hover {
    background-color: #967bb6;
    color: white;
    transition: all 0.42s ease;
}
.menu-links.open {
    max-height: 300px;
}

.hamburger-icon.open  span:first-child{
    transform: rotate(45deg) translate(10px, 5px);
}
.hamburger-icon.open  span:nth-child(2){
    opacity: 0;
}
.hamburger-icon.open  span:last-child{
    transform: rotate(-45deg) translate(10px, -5px);
}

.hamburger-icon span:first-child{
    transform: none;
}
.hamburger-icon span:first-child{
    opacity: 1;
}
.hamburger-icon span:first-child{
    transform: none;
}






section{
    padding: 5% 10%;
}

.main-home{
    width: 100%;
    height: 100vh;
    background-color: #967bb6;
    background-image: url(img/banner-3.png);
    background-position: center;
    background-size: cover;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    align-items: center;
}

.main-text h5{
    color: white;
    font-size: 16px;
    text-transform: capitalize;
    font-weight: 500;
}

.main-text h1{
    color: #111;
    font-size: 65px;
    text-transform: capitalize;
    line-height: 1.1;
    font-weight: 600;
    margin: 6px 0 10px;
}

.main-text p{
    color: #000;
    font-size: 20px;
    font-style: italic;
    margin-bottom: 20px;
}

.main-btn{
    display: inline-block;
    color: #111;
    font-size: 16px;
    font-weight: 500;
    text-transform: capitalize;
    border: 2px solid #111;
    padding: 12px 25px;
    transition: all 0.42s ease;
}

.main-btn:hover{
    background-color: #000;
    color: #fff;
}

.main-btn i{
    vertical-align: middle;
}

#about h2{
    color: #fff;
    font-size: 30px;
    text-transform: capitalize;
    font-weight: 700;
}


#about {
  padding: 100px;
  text-align: center;
  background-color: #967bb6;
}

#about p {
    display: inline-block;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px; 
}

 #reviews .slideshow-container {
  position: relative;
  padding: 120px;
  background: #fff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  text-align: center;
  border-radius: 10px;
  transition: opacity 3s ease-in-out;
}


.review-slide {
  display: none;
}

.review-slide.active {
  display: block;
}

#reviews .slideshow-container h1 {
  font-size: 2rem;
  color: #111;
  margin-bottom: 20px;
}

.headshot-container {
  width: 100px; /* Adjust size as needed */
  height: 100px; /* Adjust size as needed */
  border-radius: 50%; /* Make the container round */
  overflow: hidden; /* Clip the image to the container's shape */
  border: 5px solid #ccc; /* Add a border (adjust thickness and color) */
  margin: auto;
}

.headshot-container img {
  display: block; /* To ensure proper sizing within the container */
  width: 100%;
  height: 100%;
  object-fit: cover; /* Maintain aspect ratio and fill the container */
}

button {
  position: absolute;
  background: #967bb6;
  color: black;
  border: none;
  padding: 20px;
  cursor: pointer;
  border-radius: 30%;
  font-size: 20px;
  top: 40%;
}

#prev {
  left: 50px;
  position: absolute;
}

#next {
  right: 50px;
  position: absolute;
}

.slideshow-container {
  max-width: 700px;
  margin: auto;
  position: relative;
  height: 450px;
  overflow: hidden;
  padding: 50px;
  padding-top: 150px;
  list-style: none;
  text-decoration: none;
}

.slide {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  opacity: 0;
  transition: opacity 3s ease-in-out;
}

.slide.active {
  opacity: 1;
  z-index: 1;
}

.slide img {
  width: 100%;
  max-height: 400px;
  object-fit: cover;
  border-radius: 10px;
}

.slide p {
  font-size: 1.1rem;
  color: #fff;
}

.caption {
  position: absolute;
  bottom: 20px;
  left: 0;
  width: 100%;
  padding: 10px;
  font-size: 1.1rem;
  color: #fff;
  background: rgba(0, 0, 0, 0.5);
}


header.sticky{
    background: #967bb6;
    padding: 20px 10%;
    box-shadow: 0px 0px 10px rgb(0 0 0 / 10%);
}

.center-text h2{
    color: #fff;
    font-size: 28px;
    text-transform: capitalize;
    text-align: center;
    margin-bottom: 30px;
}

.center-text span{
    color: #fff;
}

.main-about{
    background-color: #967bb6;;
}

.products{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(260px, auto));
    gap: 2rem;
}

.trending-products{
    background-color: #967bb6;
}

.row{
    position: relative;
    transition: all .40s;
}

.row img{
    width: 100%;
    height: auto;
    transition: all .40s;
}

.row img:hover{
    transform: scale(0.9);
}

.product-text h5{
    position: absolute;
    top: 13px;
    left: 13px;
    color: #fff;
    font-size: 12px;
    font-weight: 500;
    text-transform: uppercase;
    background-color: #967bb6;
    padding: 3px 10px;
    border-radius: 2px;
}

.heart-icon{
    position: absolute;
    right: 0;
    font-size: 20px;
}

.heart-icon:hover{
    color: purple;
}



.price h4{
    color: #111;
    font-size: 16px;
    text-transform: capitalize;
    font-weight: 400;
}

.price p{
    color: #000;
    font-size: 14px;
    font-weight: 600;
}

.client-reviews{
    background-color: #967bb6;
}

.reviews{
    text-align: center;
}

.reviews h3{
    color: #111;
    font-size: 25px;
    text-transform: capitalize;
    text-align: center;
    font-weight: 700;
}

.reviews img{
    width: 50%;
    height: auto;
    border-radius: 50px;
    margin: 10px 0;
}

.reviews p{
    color: #fff;
    font-size: 16px;
    font-weight: 400;
    line-height: 25px;
    margin-bottom: 10px;
}

.reviews h2{
    font-size: 22px;
    color: #000;
    font-weight: 400;
    text-transform: capitalize;
    margin-bottom: 2px;
}

.up-center-text h2{
    text-align: center;
    color: #111;
    font-size: 25px;
    text-transform: capitalize;
    font-weight: 700;
    margin-bottom: 30px;
}

.cart img{
    width: 360px;
    height: auto;
    border-radius: 5px;
}

.update-cart{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(360px, auto));
    gap: 1rem;
}

.cart h5{
    color: #fff;
    font-size: 14px;
    text-transform: capitalize;
    font-weight: 500;
}

.cart h4{
    color: #111;
    font-size: 18px;
    font-weight: 600;
}

.cart p{
    color: #fff;
    font-size: 15px;
    max-width: 380px;
    line-height: 25px;
    margin-bottom: 12px;
}

.cart h6{
    color: #151515;
    font-size: 14px;
    font-weight: 500;
}

.contact{
    background-color: #f3f4f6;
    display: grid;
    /* grid-template-columns: repeat(auto-fit, minmax(160px, auto)); */
    /* gap: 3rem; */
}

.contact-socials{
    background-color: #967bb6;
}

.contact-info{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(160px, auto));
    gap: 3rem;

}
.first-info img{
    width: 140px;
    height: auto;
}

.contact-info h4{
    color: #212529;
    font-size: 14px;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.contact-info p{
    color: #fff;
    font-size: 14px;
    font-weight: 400;
    text-transform: capitalize;
    line-height: 1.5;
    margin-bottom: 10px;
    cursor: pointer;
    transition: all 0.42s;
}

.contact-info p:hover{
    color: purple;
}

.social-icon i{
    color: #fff;
    margin-right: 10px;
    font-size: 20px;
    transition: all 0.42s;
}

.social-icon i:hover{
    transform: scale(1.3);
}

.end-text{
    background-color: #967bb6;
    text-align: center;
    padding: 20px;
}

.end-text p{
    color: #fff;
    text-transform: capitalize;
}

@media(max-width:890px){
    header{
        padding: 20px 3%;
        transition: .4s;
    }
}
@media(max-width:630px){
    .main-text h1{
        font-size: 50px;
        transition: .4s;
    }
    .main-text p{
        font-size: 18px;
        transition: .4s;
    }
    .main-btn{
        padding: 10px 20px;
        transition: .4s;
    }
}

@media(max-width:480px){
    .navmenu{
        position: absolute;
        top: 100%;
        right: -100%;
        width: 300px;
        height: 130vh;
        background: #edfff1;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 120px 30px;
        transition: all .42s;
    }
    .navmenu a{
        display: block;
        margin: 18px 0;
    }
    .navmenu.open{
        right: 0;
    }

    .hamburger{
        display: block;
        color: #fff;
        font-size: 30px;
        cursor: pointer;
    }
}